> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tags

> Returns the non-hidden tags in the workspace, with their IDs and names. Results are ordered by name. Use these IDs with contacts filters (tag_ids[] / tagIds) and when creating contacts (tagIds).



## OpenAPI

````yaml https://api.salesforge.ai/public/v2/swagger/doc.json get /workspaces/{workspaceID}/tags
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: https://api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/tags:
    get:
      tags:
        - contacts
      summary: Get tags
      description: >-
        Returns the non-hidden tags in the workspace, with their IDs and names.
        Results are ordered by name. Use these IDs with contacts filters
        (tag_ids[] / tagIds) and when creating contacts (tagIds).
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Limit (max 100)
          in: query
          name: limit
          schema:
            default: 10
            type: integer
        - description: Offset
          in: query
          name: offset
          schema:
            default: 0
            type: integer
        - description: Return only tags whose name contains this value
          in: query
          name: search
          schema:
            type: string
        - description: Match search exactly instead of ignoring case
          in: query
          name: caseSensitive
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/data'
                properties:
                  data: {}
                  limit:
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of tags
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Invalid Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.DNCResponse'
          type: array
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    api.DNCResponse:
      properties:
        createdAt:
          type: string
        type:
          $ref: '#/components/schemas/models.DncType'
        value:
          type: string
      type: object
    models.DncType:
      enum:
        - email
        - domain
        - linkedin
      type: string
      x-enum-varnames:
        - DncTypeEmail
        - DncTypeDomain
        - DncTypeLinkedin
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````